# This code creates a table for the main meta analysis results


# Run this code to produce main results without crime:

## Run code to produce FE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for binary measure_no_crime/binary_forest_groups_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_community_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_all_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_ingroup_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_outgroup_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_all_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_ingroup_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_outgroup_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_voting_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_knowledge_politics_FE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_prosocial_indexM_FE.R")



## Run code to produce RE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for binary measure_no_crime/binary_forest_groups_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_community_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_all_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_ingroup_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_trust_outgroup_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_all_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_ingroup_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_games_outgroup_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_voting_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_knowledge_politics_RE.R")
source("Code/Forest plots for binary measure_no_crime/binary_forest_prosocial_indexM_RE.R")


main_meta_results_fe <- list("prosocial_index_fe"= main_result_prosocial_indexM_fe, "groups_fe"=main_result_groups_fe, "community_fe" = main_result_community_fe, "trust_all_fe"= main_result_trust_all_fe, "games_all_fe"= main_result_games_all_fe, "voting_fe"= main_result_voting_fe, "knowledge_politics_fe"= main_result_knowledge_politics_fe)


main_meta_results_re <- list("prosocial_index_re"= main_result_prosocial_indexM_re, "groups_re"= main_result_groups_re, "community_re"= main_result_community_re, "trust_all_re"= main_result_trust_all_re, "games_all_re"= main_result_games_all_re, "voting_re"= main_result_voting_re, "knowledge_politics_re"= main_result_knowledge_politics_re)

results_vector_fe <- rep(NA, length(main_meta_results_fe)*3)
results_vector_fe[1:3] = c(main_meta_results_fe[[1]]$b, main_meta_results_fe[[1]]$se, main_meta_results_fe[[1]]$pval)
results_vector_fe[4:6] = c(main_meta_results_fe[[2]]$b, main_meta_results_fe[[2]]$se, main_meta_results_fe[[2]]$pval)
results_vector_fe[7:9] = c(main_meta_results_fe[[3]]$b, main_meta_results_fe[[3]]$se, main_meta_results_fe[[3]]$pval)
results_vector_fe[10:12] = c(main_meta_results_fe[[4]]$b, main_meta_results_fe[[4]]$se, main_meta_results_fe[[4]]$pval)
results_vector_fe[13:15] = c(main_meta_results_fe[[5]]$b, main_meta_results_fe[[5]]$se, main_meta_results_fe[[5]]$pval)
results_vector_fe[16:18] = c(main_meta_results_fe[[6]]$b, main_meta_results_fe[[6]]$se, main_meta_results_fe[[6]]$pval)
results_vector_fe[19:21] = c(main_meta_results_fe[[7]]$b, main_meta_results_fe[[7]]$se, main_meta_results_fe[[7]]$pval)


results_vector_re <- rep(NA, length(main_meta_results_re)*3)
results_vector_re[1:3] = c(main_meta_results_re[[1]]$b, main_meta_results_re[[1]]$se, main_meta_results_re[[1]]$pval)
results_vector_re[4:6] = c(main_meta_results_re[[2]]$b, main_meta_results_re[[2]]$se, main_meta_results_re[[2]]$pval)
results_vector_re[7:9] = c(main_meta_results_re[[3]]$b, main_meta_results_re[[3]]$se, main_meta_results_re[[3]]$pval)
results_vector_re[10:12] = c(main_meta_results_re[[4]]$b, main_meta_results_re[[4]]$se, main_meta_results_re[[4]]$pval)
results_vector_re[13:15] = c(main_meta_results_re[[5]]$b, main_meta_results_re[[5]]$se, main_meta_results_re[[5]]$pval)
results_vector_re[16:18] = c(main_meta_results_re[[6]]$b, main_meta_results_re[[6]]$se, main_meta_results_re[[6]]$pval)
results_vector_re[19:21] = c(main_meta_results_re[[7]]$b, main_meta_results_re[[7]]$se, main_meta_results_re[[7]]$pval)

outcomes_for_main_table <- c("Summary index (mean effects)", "", "", "Social groups participation", "", "", "Community leadership/participation", "", "", "Trust", "", "", "Prosocial behavior in experimental games", "", "", "Voting", "", "", "Knowledge/interest in politics", "", "")

params_main_table <- c("Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val")

main_table <- cbind(as.data.frame(outcomes_for_main_table), params_main_table, round(results_vector_fe, digits=2), round(results_vector_re, digits=2))

colnames(main_table) = c("Outcome", "Estimate", "Fixed Effects", "Random Effects")
write.csv(main_table, file="Results/Tables/main_results.csv")
xtable(main_table, caption="Main Results")


# Create a matrix of results for main graph

main_meta_results_fe <- list("groups_fe"=main_result_groups_fe, "community_fe" = main_result_community_fe, "trust_all_fe"= main_result_trust_all_fe, "trust_ingroup_fe"= main_result_trust_ingroup_fe, "trust_outgroup_fe"= main_result_trust_outgroup_fe, "games_all_fe"= main_result_games_all_fe, "games_ingroup_fe"= main_result_game_ingroup_fe, "games_outgroup_fe"= main_result_games_outgroup_fe, "voting_fe"= main_result_voting_fe, "knowledge_politics_fe"= main_result_knowledge_politics_fe, "prosocial_index_fe"= main_result_prosocial_indexM_fe)


main_meta_results_re <- list("groups_re"= main_result_groups_re, "community_re"= main_result_community_re, "trust_all_re"= main_result_trust_all_re, "trust_ingroup_re"= main_result_trust_ingroup_re, "trust_outgroup_re"= main_result_trust_outgroup_re, "games_all_re"= main_result_games_all_re, "games_ingroup_re"= main_result_game_ingroup_re, "games_outgroup_re"= main_result_games_outgroup_re, "voting_re"= main_result_voting_re, "knowledge_politics_re"= main_result_knowledge_politics_re, "prosocial_index_re"= main_result_prosocial_indexM_re)


beta_for_graph <- rep(NA, length(main_meta_results_fe)*2)
beta_for_graph[1:2] = c(main_meta_results_fe[[1]]$b, main_meta_results_re[[1]]$b)
beta_for_graph[3:4] = c(main_meta_results_fe[[2]]$b, main_meta_results_re[[2]]$b)
beta_for_graph[5:6] = c(main_meta_results_fe[[3]]$b, main_meta_results_re[[3]]$b)
beta_for_graph[7:8] = c(main_meta_results_fe[[4]]$b, main_meta_results_re[[4]]$b)
beta_for_graph[9:10] = c(main_meta_results_fe[[5]]$b, main_meta_results_re[[5]]$b)
beta_for_graph[11:12] = c(main_meta_results_fe[[6]]$b, main_meta_results_re[[6]]$b)
beta_for_graph[13:14] = c(main_meta_results_fe[[7]]$b, main_meta_results_re[[7]]$b)
beta_for_graph[15:16] = c(main_meta_results_fe[[8]]$b, main_meta_results_re[[8]]$b)
beta_for_graph[17:18] = c(main_meta_results_fe[[9]]$b, main_meta_results_re[[9]]$b)
beta_for_graph[19:20] = c(main_meta_results_fe[[10]]$b, main_meta_results_re[[10]]$b)
beta_for_graph[21:22] = c(main_meta_results_fe[[11]]$b, main_meta_results_re[[11]]$b)


ci.lb_for_graph <- rep(NA, length(main_meta_results_fe)*2)
ci.lb_for_graph[1:2] = c(main_meta_results_fe[[1]]$ci.lb, main_meta_results_re[[1]]$ci.lb)
ci.lb_for_graph[3:4] = c(main_meta_results_fe[[2]]$ci.lb, main_meta_results_re[[2]]$ci.lb)
ci.lb_for_graph[5:6] = c(main_meta_results_fe[[3]]$ci.lb, main_meta_results_re[[3]]$ci.lb)
ci.lb_for_graph[7:8] = c(main_meta_results_fe[[4]]$ci.lb, main_meta_results_re[[4]]$ci.lb)
ci.lb_for_graph[9:10] = c(main_meta_results_fe[[5]]$ci.lb, main_meta_results_re[[5]]$ci.lb)
ci.lb_for_graph[11:12] = c(main_meta_results_fe[[6]]$ci.lb, main_meta_results_re[[6]]$ci.lb)
ci.lb_for_graph[13:14] = c(main_meta_results_fe[[7]]$ci.lb, main_meta_results_re[[7]]$ci.lb)
ci.lb_for_graph[15:16] = c(main_meta_results_fe[[8]]$ci.lb, main_meta_results_re[[8]]$ci.lb)
ci.lb_for_graph[17:18] = c(main_meta_results_fe[[9]]$ci.lb, main_meta_results_re[[9]]$ci.lb)
ci.lb_for_graph[19:20] = c(main_meta_results_fe[[10]]$ci.lb, main_meta_results_re[[10]]$ci.lb)
ci.lb_for_graph[21:22] = c(main_meta_results_fe[[11]]$ci.lb, main_meta_results_re[[11]]$ci.lb)


ci.ub_for_graph <- rep(NA, length(main_meta_results_fe)*2)
ci.ub_for_graph[1:2] = c(main_meta_results_fe[[1]]$ci.ub, main_meta_results_re[[1]]$ci.ub)
ci.ub_for_graph[3:4] = c(main_meta_results_fe[[2]]$ci.ub, main_meta_results_re[[2]]$ci.ub)
ci.ub_for_graph[5:6] = c(main_meta_results_fe[[3]]$ci.ub, main_meta_results_re[[3]]$ci.ub)
ci.ub_for_graph[7:8] = c(main_meta_results_fe[[4]]$ci.ub, main_meta_results_re[[4]]$ci.ub)
ci.ub_for_graph[9:10] = c(main_meta_results_fe[[5]]$ci.ub, main_meta_results_re[[5]]$ci.ub)
ci.ub_for_graph[11:12] = c(main_meta_results_fe[[6]]$ci.ub, main_meta_results_re[[6]]$ci.ub)
ci.ub_for_graph[13:14] = c(main_meta_results_fe[[7]]$ci.ub, main_meta_results_re[[7]]$ci.ub)
ci.ub_for_graph[15:16] = c(main_meta_results_fe[[8]]$ci.ub, main_meta_results_re[[8]]$ci.ub)
ci.ub_for_graph[17:18] = c(main_meta_results_fe[[9]]$ci.ub, main_meta_results_re[[9]]$ci.ub)
ci.ub_for_graph[19:20] = c(main_meta_results_fe[[10]]$ci.ub, main_meta_results_re[[10]]$ci.ub)
ci.ub_for_graph[21:22] = c(main_meta_results_fe[[11]]$ci.ub, main_meta_results_re[[11]]$ci.ub)

k_for_graph <- rep(NA, length(main_meta_results_fe)*2)
k_for_graph[1:2] = c(main_meta_results_fe[[1]]$k, main_meta_results_re[[1]]$k)
k_for_graph[3:4] = c(main_meta_results_fe[[2]]$k, main_meta_results_re[[2]]$k)
k_for_graph[5:6] = c(main_meta_results_fe[[3]]$k, main_meta_results_re[[3]]$k)
k_for_graph[7:8] = c(main_meta_results_fe[[4]]$k, main_meta_results_re[[4]]$k)
k_for_graph[9:10] = c(main_meta_results_fe[[5]]$k, main_meta_results_re[[5]]$k)
k_for_graph[11:12] = c(main_meta_results_fe[[6]]$k, main_meta_results_re[[6]]$k)
k_for_graph[13:14] = c(main_meta_results_fe[[7]]$k, main_meta_results_re[[7]]$k)
k_for_graph[15:16] = c(main_meta_results_fe[[8]]$k, main_meta_results_re[[8]]$k)
k_for_graph[17:18] = c(main_meta_results_fe[[9]]$k, main_meta_results_re[[9]]$k)
k_for_graph[19:20] = c(main_meta_results_fe[[10]]$k, main_meta_results_re[[10]]$k)
k_for_graph[21:22] = c(main_meta_results_fe[[11]]$k, main_meta_results_re[[11]]$k)


main_table_percise <- cbind(as.data.frame(beta_for_graph), ci.lb_for_graph, ci.ub_for_graph, k_for_graph)
main_table_percise$model <- c("FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE", "FE", "RE","FE", "RE", "FE", "RE" )
main_table_percise$outcome <- c("groups", "groups", "community", "community", "trust_all", "trust_all", "trust_ingroup", "trust_ingroup", "trust_outgroup", "trust_outgroup", "games_all", "games_all", "games_ingroup", "games_ingroup", "games_outgroup", "games_outgroup", "voting", "voting", "knowledge_politics", "knowledge_politics", "prosocial_index", "prosocial_index")

write.csv(main_table_percise, file="Results/Tables/main_results_percise.csv")


