library(gplots)

# Without crime violence

main_results <- read.csv("Results/Tables/main_results_percise.csv")

main_results_inoutgroup <- main_results[c(13,14,15,16, 7,8,9,10),]

labs <- c("Prosocial in \nexperimental \ngames \n(in-group)", "Prosocial in \nexperimental \ngames \n(out-group)", "Trust \n(in-group)", "Trust \n(out-group)")

pdf("Results/Figures/ingroup_outgroup_results.pdf", width=8, height=5)

par(mar=c(5,4,2,2))
plotCI(x= main_results_inoutgroup$beta_for_graph, ui= main_results_inoutgroup$ci.ub_for_graph, li= main_results_inoutgroup$ci.lb_for_graph, type="p", pt.bg= c("blue3", "forestgreen", "blue3", "forestgreen", "blue3", "forestgreen", "blue3", "forestgreen") , col=c("blue3", "forestgreen", "blue3", "forestgreen", "blue3", "forestgreen", "blue3", "forestgreen"), pch=c(21, 15, 21, 15, 21, 15, 21, 15), gap=0, xaxt="n", ylab="Effect of exposure to violence (sd units)", xlab="", cex.main=1, cex.axis=0.9, cex=1, sfrac=0)
abline(h=0)
abline(v=2.5, lty=2)
abline(v=4.5, lty=2)
abline(v=6.5, lty=2)
mtext(text=labs, las=1, side=1, at=c(1.5, 3.5, 5.5, 7.5), line=0.5, cex=0.9, padj=1)
legend(6.7, 0.34, c("Fixed effects", "Random effects"), cex=0.8, pch=c(21,15), pt.bg=c("blue3", "forestgreen"), col=c("blue3", "forestgreen"), bg="white", bty="o")
text(1.5,-0.25,labels=paste0("N=", main_results_inoutgroup$k_for_graph[1]))
text(3.5,-0.25,labels=paste0("N=", main_results_inoutgroup$k_for_graph[3]))
text(5.5,-0.25,labels=paste0("N=", main_results_inoutgroup$k_for_graph[5]))
text(7.5,-0.25,labels=paste0("N=", main_results_inoutgroup$k_for_graph[7]))
# Coefficeints
text(0.833, main_results_inoutgroup$beta_for_graph[1],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[1],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[1],2)))), cex=0.7, col="blue3")
text(1.83, main_results_inoutgroup$beta_for_graph[2],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[2],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[2],2)))), cex=0.7, col="forestgreen")
text(2.83, main_results_inoutgroup$beta_for_graph[3],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[3],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[3],2)))), cex=0.7, col="blue3")
text(3.83, main_results_inoutgroup$beta_for_graph[4],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[4],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[4],2)))), cex=0.7, col="forestgreen")
text(4.8, main_results_inoutgroup$beta_for_graph[5],labels=paste0(round(main_results_inoutgroup$beta_for_graph[5],2)), cex=0.7, col="blue3")
text(5.8, main_results_inoutgroup$beta_for_graph[6],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[6],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[6],2)))), cex=0.7, col="forestgreen")
text(6.8, main_results_inoutgroup$beta_for_graph[7],labels=substr(paste0(round(main_results_inoutgroup$beta_for_graph[7],2)), 2, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[7],2)))), cex=0.7, col="blue3")
text(7.8, main_results_inoutgroup$beta_for_graph[8],labels=paste0("-",substr(paste0(round(main_results_inoutgroup$beta_for_graph[8],2)), 3, nchar(paste0(round(main_results_inoutgroup$beta_for_graph[8],2))))), cex=0.7, col="forestgreen")

dev.off()
