# This code generates the map in the online appendix

install.packages(c("rworldmap", "Hmisc", "TeachingDemos", "psych", "gplots"), dependencies=T)

library(rworldmap)
library(Hmisc)
library(TeachingDemos)
library(psych)
library(gplots)



map_data <- read.csv("Temp/war-cooperation-map.csv")

sPDF <- joinCountryData2Map(map_data, joinCode = "ISO3" , nameJoinColumn = "Alpha.3.code")
sPDF2 <- as.data.frame(sPDF)

# Map with crime data

pdf("Results/Figures/map_by_n_obs.pdf", width=7, height=5)
par(mai=c(0,0,0,0),xaxs="i",yaxs="i")
mapParams <- mapCountryData(sPDF, nameColumnToPlot="number_obs_total" ,  catMethod="categorical", colourPalette="white2Black", mapTitle="", xlim=c(-140,140), ylim=c(-10,30), addLegend='FALSE')
do.call( addMapLegend, c(mapParams, legendWidth=0.5, legendMar=2))
text(-100,-65, "Number of observations", cex=0.9)
dev.off()


# Map without crime data

pdf("Results/Figures/map_by_n_obs_no_crime.pdf", width=7, height=5)
par(mai=c(0,0,0,0),xaxs="i",yaxs="i")
mapParams <- mapCountryData(sPDF, nameColumnToPlot="number_obs_total_no_crime" ,  catMethod="categorical", colourPalette="white2Black", mapTitle="", xlim=c(-20,140), ylim=c(-40,90), addLegend='FALSE')
do.call( addMapLegend, c(mapParams, legendWidth=0.5, legendMar=2))
text(-5,-20, "Number of observations", cex=0.9)
dev.off()