
library(xtable)

# Run this code to produce additional results using other codings of violence exposure:

# A. Standardized measure of violence exposure

## Run code to produce FE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized measure_no_crime/standardized_forest_groups_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_community_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_all_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_ingroup_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_outgroup_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_all_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_ingroup_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_outgroup_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_voting_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_knowledge_politics_FE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_prosocial_indexM_FE.R")



## Run code to produce RE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized measure_no_crime/standardized_forest_groups_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_community_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_all_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_ingroup_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_trust_outgroup_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_all_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_ingroup_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_games_outgroup_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_voting_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_knowledge_politics_RE.R")
source("Code/Forest plots for standardized measure_no_crime/standardized_forest_prosocial_indexM_RE.R")


main_meta_results_fe <- list("prosocial_index_fe"= main_result_prosocial_indexM_fe, "groups_fe"=main_result_groups_fe, "community_fe" = main_result_community_fe, "trust_all_fe"= main_result_trust_all_fe, "games_all_fe"= main_result_games_all_fe, "voting_fe"= main_result_voting_fe, "knowledge_politics_fe"= main_result_knowledge_politics_fe)


main_meta_results_re <- list("prosocial_index_re"= main_result_prosocial_indexM_re, "groups_re"= main_result_groups_re, "community_re"= main_result_community_re, "trust_all_re"= main_result_trust_all_re, "games_all_re"= main_result_games_all_re, "voting_re"= main_result_voting_re, "knowledge_politics_re"= main_result_knowledge_politics_re)

results_vector_fe <- rep(NA, length(main_meta_results_fe)*3)
results_vector_fe[1:3] = c(main_meta_results_fe[[1]]$b, main_meta_results_fe[[1]]$se, main_meta_results_fe[[1]]$pval)
results_vector_fe[4:6] = c(main_meta_results_fe[[2]]$b, main_meta_results_fe[[2]]$se, main_meta_results_fe[[2]]$pval)
results_vector_fe[7:9] = c(main_meta_results_fe[[3]]$b, main_meta_results_fe[[3]]$se, main_meta_results_fe[[3]]$pval)
results_vector_fe[10:12] = c(main_meta_results_fe[[4]]$b, main_meta_results_fe[[4]]$se, main_meta_results_fe[[4]]$pval)
results_vector_fe[13:15] = c(main_meta_results_fe[[5]]$b, main_meta_results_fe[[5]]$se, main_meta_results_fe[[5]]$pval)
results_vector_fe[16:18] = c(main_meta_results_fe[[6]]$b, main_meta_results_fe[[6]]$se, main_meta_results_fe[[6]]$pval)
results_vector_fe[19:21] = c(main_meta_results_fe[[7]]$b, main_meta_results_fe[[7]]$se, main_meta_results_fe[[7]]$pval)


results_vector_re <- rep(NA, length(main_meta_results_re)*3)
results_vector_re[1:3] = c(main_meta_results_re[[1]]$b, main_meta_results_re[[1]]$se, main_meta_results_re[[1]]$pval)
results_vector_re[4:6] = c(main_meta_results_re[[2]]$b, main_meta_results_re[[2]]$se, main_meta_results_re[[2]]$pval)
results_vector_re[7:9] = c(main_meta_results_re[[3]]$b, main_meta_results_re[[3]]$se, main_meta_results_re[[3]]$pval)
results_vector_re[10:12] = c(main_meta_results_re[[4]]$b, main_meta_results_re[[4]]$se, main_meta_results_re[[4]]$pval)
results_vector_re[13:15] = c(main_meta_results_re[[5]]$b, main_meta_results_re[[5]]$se, main_meta_results_re[[5]]$pval)
results_vector_re[16:18] = c(main_meta_results_re[[6]]$b, main_meta_results_re[[6]]$se, main_meta_results_re[[6]]$pval)
results_vector_re[19:21] = c(main_meta_results_re[[7]]$b, main_meta_results_re[[7]]$se, main_meta_results_re[[7]]$pval)

k_vector_std_measure <- rep(NA, length(main_meta_results_fe)*3)
placement <- c(1,4,7,10,13,16,19)
for (i in 1:length(placement)){
	placement.i <- placement[i]
	k_vector_std_measure[placement.i] = main_meta_results_fe[[i]]$k
}




outcomes_for_main_table <- c("Summary index (mean effects)", "", "", "Social groups participation", "", "", "Community leadership/participation", "", "", "Trust", "", "", "Prosocial behavior in experimental games", "", "", "Voting", "", "", "Knowledge/interest in politics", "", "")

params_main_table <- c("Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val")

main_table_std_measure <- cbind(as.data.frame(outcomes_for_main_table), params_main_table, round(results_vector_fe, digits=2), round(results_vector_re, digits=2), k_vector_std_measure)
colnames(main_table_std_measure) = c("Outcome", "Estimate", "Fixed Effects", "Random Effects", "Number of studies")




# B. Standardized measure of community violence exposure

## Run code to produce FE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_groups_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_community_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_all_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_ingroup_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_outgroup_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_all_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_ingroup_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_outgroup_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_voting_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_knowledge_politics_FE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_prosocial_indexM_FE.R")



## Run code to produce RE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_groups_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_community_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_all_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_ingroup_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_trust_outgroup_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_all_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_ingroup_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_games_outgroup_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_voting_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_knowledge_politics_RE.R")
source("Code/Forest plots for standardized community measure_no_crime/standardized_community_forest_prosocial_indexM_RE.R")

main_meta_results_fe <- list("prosocial_index_fe"= main_result_prosocial_indexM_fe, "groups_fe"=main_result_groups_fe, "community_fe" = main_result_community_fe, "trust_all_fe"= main_result_trust_all_fe, "games_all_fe"= main_result_games_all_fe, "voting_fe"= main_result_voting_fe, "knowledge_politics_fe"= main_result_knowledge_politics_fe)


main_meta_results_re <- list("prosocial_index_re"= main_result_prosocial_indexM_re, "groups_re"= main_result_groups_re, "community_re"= main_result_community_re, "trust_all_re"= main_result_trust_all_re, "games_all_re"= main_result_games_all_re, "voting_re"= main_result_voting_re, "knowledge_politics_re"= main_result_knowledge_politics_re)

results_vector_fe <- rep(NA, length(main_meta_results_fe)*3)
results_vector_fe[1:3] = c(main_meta_results_fe[[1]]$b, main_meta_results_fe[[1]]$se, main_meta_results_fe[[1]]$pval)
results_vector_fe[4:6] = c(main_meta_results_fe[[2]]$b, main_meta_results_fe[[2]]$se, main_meta_results_fe[[2]]$pval)
results_vector_fe[7:9] = c(main_meta_results_fe[[3]]$b, main_meta_results_fe[[3]]$se, main_meta_results_fe[[3]]$pval)
results_vector_fe[10:12] = c(main_meta_results_fe[[4]]$b, main_meta_results_fe[[4]]$se, main_meta_results_fe[[4]]$pval)
results_vector_fe[13:15] = c(main_meta_results_fe[[5]]$b, main_meta_results_fe[[5]]$se, main_meta_results_fe[[5]]$pval)
results_vector_fe[16:18] = c(main_meta_results_fe[[6]]$b, main_meta_results_fe[[6]]$se, main_meta_results_fe[[6]]$pval)
results_vector_fe[19:21] = c(main_meta_results_fe[[7]]$b, main_meta_results_fe[[7]]$se, main_meta_results_fe[[7]]$pval)


results_vector_re <- rep(NA, length(main_meta_results_re)*3)
results_vector_re[1:3] = c(main_meta_results_re[[1]]$b, main_meta_results_re[[1]]$se, main_meta_results_re[[1]]$pval)
results_vector_re[4:6] = c(main_meta_results_re[[2]]$b, main_meta_results_re[[2]]$se, main_meta_results_re[[2]]$pval)
results_vector_re[7:9] = c(main_meta_results_re[[3]]$b, main_meta_results_re[[3]]$se, main_meta_results_re[[3]]$pval)
results_vector_re[10:12] = c(main_meta_results_re[[4]]$b, main_meta_results_re[[4]]$se, main_meta_results_re[[4]]$pval)
results_vector_re[13:15] = c(main_meta_results_re[[5]]$b, main_meta_results_re[[5]]$se, main_meta_results_re[[5]]$pval)
results_vector_re[16:18] = c(main_meta_results_re[[6]]$b, main_meta_results_re[[6]]$se, main_meta_results_re[[6]]$pval)
results_vector_re[19:21] = c(main_meta_results_re[[7]]$b, main_meta_results_re[[7]]$se, main_meta_results_re[[7]]$pval)



k_vector_std_community_measure <- rep(NA, length(main_meta_results_fe)*3)
placement <- c(1,4,7,10,13,16,19)
for (i in 1:length(placement)){
	placement.i <- placement[i]
	k_vector_std_community_measure[placement.i] = main_meta_results_fe[[i]]$k
}

outcomes_for_main_table <- c("Summary index (mean effects)", "", "", "Social groups participation", "", "", "Community leadership/participation", "", "", "Trust", "", "", "Prosocial behavior in experimental games", "", "", "Voting", "", "", "Knowledge/interest in politics", "", "")

params_main_table <- c("Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val")

main_table_std_community_measure <- cbind(as.data.frame(outcomes_for_main_table), params_main_table, round(results_vector_fe, digits=2), round(results_vector_re, digits=2), k_vector_std_community_measure)
colnames(main_table_std_community_measure) = c("Outcome", "Estimate", "Fixed Effects", "Random Effects", "Number of studies")



# C. Standardized measure of personal violence exposure

## Run code to produce FE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_groups_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_community_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_all_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_ingroup_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_outgroup_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_all_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_ingroup_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_outgroup_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_voting_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_knowledge_politics_FE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_prosocial_indexM_FE.R")



## Run code to produce RE results (in forest plots), exclude crime
#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#--#

source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_groups_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_community_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_all_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_ingroup_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_trust_outgroup_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_all_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_ingroup_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_games_outgroup_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_voting_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_knowledge_politics_RE.R")
source("Code/Forest plots for standardized personal measure_no_crime/standardized_personal_forest_prosocial_indexM_RE.R")

main_meta_results_fe <- list("prosocial_index_fe"= main_result_prosocial_indexM_fe, "groups_fe"=main_result_groups_fe, "community_fe" = main_result_community_fe, "trust_all_fe"= main_result_trust_all_fe, "games_all_fe"= main_result_games_all_fe, "voting_fe"= main_result_voting_fe, "knowledge_politics_fe"= main_result_knowledge_politics_fe)


main_meta_results_re <- list("prosocial_index_re"= main_result_prosocial_indexM_re, "groups_re"= main_result_groups_re, "community_re"= main_result_community_re, "trust_all_re"= main_result_trust_all_re, "games_all_re"= main_result_games_all_re, "voting_re"= main_result_voting_re, "knowledge_politics_re"= main_result_knowledge_politics_re)



k_vector_std_personal_measure <- rep(NA, length(main_meta_results_fe)*3)
placement <- c(1,4,7,10,13,16,19)
for (i in 1:length(placement)){
	placement.i <- placement[i]
	k_vector_std_personal_measure[placement.i] = main_meta_results_fe[[i]]$k
}

results_vector_fe <- rep(NA, length(main_meta_results_fe)*3)
results_vector_fe[1:3] = c(main_meta_results_fe[[1]]$b, main_meta_results_fe[[1]]$se, main_meta_results_fe[[1]]$pval)
results_vector_fe[4:6] = c(main_meta_results_fe[[2]]$b, main_meta_results_fe[[2]]$se, main_meta_results_fe[[2]]$pval)
results_vector_fe[7:9] = c(main_meta_results_fe[[3]]$b, main_meta_results_fe[[3]]$se, main_meta_results_fe[[3]]$pval)
results_vector_fe[10:12] = c(main_meta_results_fe[[4]]$b, main_meta_results_fe[[4]]$se, main_meta_results_fe[[4]]$pval)
results_vector_fe[13:15] = c(main_meta_results_fe[[5]]$b, main_meta_results_fe[[5]]$se, main_meta_results_fe[[5]]$pval)
results_vector_fe[16:18] = c(main_meta_results_fe[[6]]$b, main_meta_results_fe[[6]]$se, main_meta_results_fe[[6]]$pval)
results_vector_fe[19:21] = c(main_meta_results_fe[[7]]$b, main_meta_results_fe[[7]]$se, main_meta_results_fe[[7]]$pval)


results_vector_re <- rep(NA, length(main_meta_results_re)*3)
results_vector_re[1:3] = c(main_meta_results_re[[1]]$b, main_meta_results_re[[1]]$se, main_meta_results_re[[1]]$pval)
results_vector_re[4:6] = c(main_meta_results_re[[2]]$b, main_meta_results_re[[2]]$se, main_meta_results_re[[2]]$pval)
results_vector_re[7:9] = c(main_meta_results_re[[3]]$b, main_meta_results_re[[3]]$se, main_meta_results_re[[3]]$pval)
results_vector_re[10:12] = c(main_meta_results_re[[4]]$b, main_meta_results_re[[4]]$se, main_meta_results_re[[4]]$pval)
results_vector_re[13:15] = c(main_meta_results_re[[5]]$b, main_meta_results_re[[5]]$se, main_meta_results_re[[5]]$pval)
results_vector_re[16:18] = c(main_meta_results_re[[6]]$b, main_meta_results_re[[6]]$se, main_meta_results_re[[6]]$pval)
results_vector_re[19:21] = c(main_meta_results_re[[7]]$b, main_meta_results_re[[7]]$se, main_meta_results_re[[7]]$pval)

outcomes_for_main_table <- c("Summary index (mean effects)", "", "", "Social groups participation", "", "", "Community leadership/participation", "", "", "Trust", "", "", "Prosocial behavior in experimental games", "", "", "Voting", "", "", "Knowledge/interest in politics", "", "")

params_main_table <- c("Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val", "Coef.", "Std. Err", "P-val")

main_table_std_personal_measure <- cbind(as.data.frame(outcomes_for_main_table), params_main_table, round(results_vector_fe, digits=2), round(results_vector_re, digits=2), k_vector_std_personal_measure)
colnames(main_table_std_personal_measure) = c("Outcome", "Estimate", "Fixed Effects", "Random Effects", "Number of studies")



additional_estimations_table <- rbind(main_table_std_measure, main_table_std_community_measure, main_table_std_personal_measure)
print(xtable(additional_estimations_table))
write.csv(additional_estimations_table, file="Results/Tables/additional_estimations_table.csv")


