#################################

# A. Social groups participation

################################

groups_viol_exp_dummy <- results_viol_exp_dummy[grep("groupparticipation_std", names(results_viol_exp_dummy))]

# Extract beta coefficients

coefs_groups_viol_exp_dummy <- rep(NA, length(groups_viol_exp_dummy))
for (i in 1:length(groups_viol_exp_dummy)){
	coefs_groups_viol_exp_dummy[i] <- groups_viol_exp_dummy[[i]]$estimate[1]
}

# Exctract standard errors

se_groups_viol_exp_dummy <- rep(NA, length(groups_viol_exp_dummy))
for (i in 1:length(groups_viol_exp_dummy)){
	se_groups_viol_exp_dummy[i] <- groups_viol_exp_dummy[[i]]$stderr[1]
}


# Extract number of observations

ns_groups_viol_exp_dummy <- rep(NA, length(groups_viol_exp_dummy))
for (i in 1:length(groups_viol_exp_dummy)){
	ns_groups_viol_exp_dummy[i] <- groups_viol_exp_dummy[[i]]$es_1[1]
}


# Create data frames for results

groups_results_viol_exp_dummy <- cbind(as.data.frame(coefs_groups_viol_exp_dummy), se_groups_viol_exp_dummy, ns_groups_viol_exp_dummy)
groups_results_viol_exp_dummy$treatment <- "viol_exp_dummy"
groups_results_viol_exp_dummy$study <- names(groups_viol_exp_dummy)
groups_results_viol_exp_dummy$country <- c("Uganda", "African countries", "Latin American countries", "U.S. and Canada", "Georgia", "Sierra Leone", "Uganda", "Sierra Leone", "Uganda", "Tajikistan", "Uganda", "European countries", "Burundi", "Burundi")
groups_results_viol_exp_dummy$authoryear <- c("Annan et al. (2011)", "Bateson (2012)", "Bateson (2012) ", "Bateson (2012)  ",  "Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Bellows and Miguel (2009)", "Blattman (2009)", "Cassar et al. (2013)", "De Luca and Verpoorten (2015a)", "Grosjean (2014)", "Voors et al. (2012)", "Voors and Bulte (2014)")
colnames(groups_results_viol_exp_dummy) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear")


groups_results <- groups_results_viol_exp_dummy[-c(2,3,4),]

# Forest plot

pdf("Results/Figures/Forest_plot_binary_measure_no_crime/forest_plot_groups_RE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.groups <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= groups_results, vtype="LS")

# fit a FE model
meta.groups.out <- rma(yi, vi, data = meta.groups, method = "REML", measure="COR", slab=authoryear)

# plot a forest plot
forest(meta.groups.out, ilab= meta.groups$country, ilab.xpos=-1.5, ilab.pos=4, xlim=c(-3,2),  xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="RE Model for All Studies")


### add column headings to the plot
text(-3, 12.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-1.5, 12.5, "Country", pos=4, cex=0.75, font=2)
text(0.9, 12.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-3, 13.5, "Social Group Participation", pos=4, cex=0.85, font=2)


dev.off()

main_result_groups_re <- rma(yi, vi, data = meta.groups, method = "REML", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_dummy"))


