###################################

# G. Experimental games (Out-group)

##################################



games_viol_exp_community_std <- results_viol_exp_community_std[grep("gamesoutgroup", names(results_viol_exp_community_std))]

# Extract beta coefficients

coefs_games_viol_exp_community_std <- rep(NA, length(games_viol_exp_community_std))
for (i in 1:length(games_viol_exp_community_std)){
	coefs_games_viol_exp_community_std[i] <- games_viol_exp_community_std[[i]]$estimate[1]
}


# Exctract standard errors

se_games_viol_exp_community_std <- rep(NA, length(games_viol_exp_community_std))
for (i in 1:length(games_viol_exp_community_std)){
	se_games_viol_exp_community_std[i] <- games_viol_exp_community_std[[i]]$stderr[1]
}


# Extract number of observations

ns_games_viol_exp_community_std <- rep(NA, length(games_viol_exp_community_std))
for (i in 1:length(games_viol_exp_community_std)){
	ns_games_viol_exp_community_std[i] <- games_viol_exp_community_std[[i]]$es_1[1]
}


# Create data frames for results

games_results_viol_exp_community_std <- cbind(as.data.frame(coefs_games_viol_exp_community_std), se_games_viol_exp_community_std, ns_games_viol_exp_community_std)
games_results_viol_exp_community_std$treatment <- "viol_exp_community_std"
games_results_viol_exp_community_std$study <- names(games_viol_exp_community_std)
games_results_viol_exp_community_std$country <- c("Georgia", "Sierra Leone", "Tajikistan", "Tajikistan")
games_results_viol_exp_community_std$authoryear <- c("Bauer et al. (2014)", "Bauer et al. (2014) ", "Cassar et al. (2013)", "Cassar et al. (2013) ")
games_results_viol_exp_community_std$game <- c("Sharing, Envy", "Sharing, Envy", "Trust (returned)", "Trust (sent)")
colnames(games_results_viol_exp_community_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear", "game")

games_results <- games_results_viol_exp_community_std


# Forest plot

pdf("Results/Figures/Forest_plot_std_community_measure_no_crime/forest_plot_games_outgroup_FE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.games <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= games_results, vtype="LS")

# fit a FE model
meta.games.out <- rma(yi, vi, data = meta.games, method = "FE", measure="COR", slab=authoryear)

# plot a forest plot


forest(meta.games.out, ilab= cbind(meta.games$country, meta.games$game), ilab.xpos= c(-2.5, -1.5), ilab.pos=c(4,4), xlim=c(-4,2), xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="FE Model for All Studies")


### add column headings to the plot
text(-4, 5.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-2.5, 5.5, "Country", pos=4, cex=0.75, font=2)
text(-1.5, 5.5, "Game", pos=4, cex=0.75, font=2)
text(0.6, 5.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-4, 6.5, "Prosocial towards Out-group in Experimental Games", pos=4, cex=0.85, font=2)

dev.off()


main_result_games_outgroup_fe <- rma(yi, vi, data = meta.games, method = "FE", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_community_std"))

