########################################

# Prosocial index (mean effects)

########################################


prosocial_indexM_viol_exp_community_std <- results_viol_exp_community_std[grep("prosocial_indexM|cecchi_sierra_leone_dictator_std_|rohner_uganda_trustall_std_", names(results_viol_exp_community_std))]

# Extract beta coefficients

coefs_prosocial_indexM_viol_exp_community_std <- rep(NA, length(prosocial_indexM_viol_exp_community_std))
for (i in 1:length(prosocial_indexM_viol_exp_community_std)){
	coefs_prosocial_indexM_viol_exp_community_std[i] <- prosocial_indexM_viol_exp_community_std[[i]]$estimate[1]
}

# Exctract standard errors

se_prosocial_indexM_viol_exp_community_std <- rep(NA, length(prosocial_indexM_viol_exp_community_std))
for (i in 1:length(prosocial_indexM_viol_exp_community_std)){
	se_prosocial_indexM_viol_exp_community_std[i] <- prosocial_indexM_viol_exp_community_std[[i]]$stderr[1]
}

# Extract number of observations

ns_prosocial_indexM_viol_exp_community_std <- rep(NA, length(prosocial_indexM_viol_exp_community_std))
for (i in 1:length(prosocial_indexM_viol_exp_community_std)){
	ns_prosocial_indexM_viol_exp_community_std[i] <- prosocial_indexM_viol_exp_community_std[[i]]$es_1[1]
}


# Create data frames for results

prosocial_indexM_results_viol_exp_community_std <- cbind(as.data.frame(coefs_prosocial_indexM_viol_exp_community_std), se_prosocial_indexM_viol_exp_community_std, ns_prosocial_indexM_viol_exp_community_std)
prosocial_indexM_results_viol_exp_community_std$treatment <- "viol_exp_community_std"
prosocial_indexM_results_viol_exp_community_std$study <- names(prosocial_indexM_viol_exp_community_std)
prosocial_indexM_results_viol_exp_community_std$country <- c("Uganda", "Georgia", "Sierra Leone", "Uganda", "Sierra Leone", "Uganda", "Tajikistan", "Uganda", "Uganda", "Nepal", "Israel", "European countries", "Uganda", "Burundi", "Burundi ")
prosocial_indexM_results_viol_exp_community_std$authoryear <- c("Annan et al. (2011)", "Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Bellows and Miguel (2009)", "Blattman (2009)", "Cassar et al. (2013)", "De Luca and Verpoorten (2015a)", "De Luca and Verpoorten (2015b)", "Gilligan et al. (2014)", "Gneezy and Fessler (2012)", "Grosjean (2014)", "Rohner et al. (2013)", "Voors et al. (2012)", "Voors and Bulte (2014)")
colnames(prosocial_indexM_results_viol_exp_community_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear")


prosocial_indexM_results <- prosocial_indexM_results_viol_exp_community_std

# Forest plot

pdf("Results/Figures/Forest_plot_std_community_measure_no_crime/forest_plot_prosocial_indexM_RE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.prosocial_indexM <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= prosocial_indexM_results, vtype="LS")

# fit a FE model
meta.prosocial_indexM.out <- rma(yi, vi, data = meta.prosocial_indexM, method = "REML", measure="COR", slab=authoryear)

# plot a forest plot
forest(meta.prosocial_indexM.out, ilab= meta.prosocial_indexM$country, ilab.xpos=-1.5, ilab.pos=4, xlim=c(-3,2),  xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="RE Model for All Studies")



### add column headings to the plot
text(-3, 15.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-1.5,15.5, "Country", pos=4, cex=0.75, font=2)
text(0.8, 15.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-3, 16.8, "Prosocial Index (Mean Effects)", pos=4, cex=0.85, font=2)


dev.off()

main_result_prosocial_indexM_re <- rma(yi, vi, data = meta.prosocial_indexM, method = "REML", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_community_std"))
