########################################

# Prosocial index (mean effects)

########################################


prosocial_indexM_viol_exp_personal_std <- results_viol_exp_personal_std[grep("prosocial_indexM|cecchi_sierra_leone_dictator_std_|rohner_uganda_trustall_std_", names(results_viol_exp_personal_std))]

# Extract beta coefficients

coefs_prosocial_indexM_viol_exp_personal_std <- rep(NA, length(prosocial_indexM_viol_exp_personal_std))
for (i in 1:length(prosocial_indexM_viol_exp_personal_std)){
	coefs_prosocial_indexM_viol_exp_personal_std[i] <- prosocial_indexM_viol_exp_personal_std[[i]]$estimate[1]
}

# Exctract standard errors

se_prosocial_indexM_viol_exp_personal_std <- rep(NA, length(prosocial_indexM_viol_exp_personal_std))
for (i in 1:length(prosocial_indexM_viol_exp_personal_std)){
	se_prosocial_indexM_viol_exp_personal_std[i] <- prosocial_indexM_viol_exp_personal_std[[i]]$stderr[1]
}

# Extract number of observations

ns_prosocial_indexM_viol_exp_personal_std <- rep(NA, length(prosocial_indexM_viol_exp_personal_std))
for (i in 1:length(prosocial_indexM_viol_exp_personal_std)){
	ns_prosocial_indexM_viol_exp_personal_std[i] <- prosocial_indexM_viol_exp_personal_std[[i]]$es_1[1]
}


# Create data frames for results

prosocial_indexM_results_viol_exp_personal_std <- cbind(as.data.frame(coefs_prosocial_indexM_viol_exp_personal_std), se_prosocial_indexM_viol_exp_personal_std, ns_prosocial_indexM_viol_exp_personal_std)
prosocial_indexM_results_viol_exp_personal_std$treatment <- "viol_exp_personal_std"
prosocial_indexM_results_viol_exp_personal_std$study <- names(prosocial_indexM_viol_exp_personal_std)
prosocial_indexM_results_viol_exp_personal_std$country <- c("Uganda", "African countries", "Asian countries", "Latin American countries", "U.S. and Canada", "Georgia", "Sierra Leone", "Uganda", "Uganda", "Tajikistan", "Sierra Leone", "Israel")
prosocial_indexM_results_viol_exp_personal_std$authoryear <- c("Annan et al. (2011)", "Bateson (2012)", "Bateson (2012) ", "Bateson (2012)  ", "Bateson (2012)   ",  "Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Blattman (2009)", "Cassar et al. (2013)", "Cecchi et al. (2015)", "Grossman et al. (2015)")
colnames(prosocial_indexM_results_viol_exp_personal_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear")


prosocial_indexM_results <- prosocial_indexM_results_viol_exp_personal_std[-c(2,3,4,5),]

# Forest plot

pdf("Results/Figures/Forest_plot_std_personal_measure_no_crime/forest_plot_prosocial_indexM_FE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.prosocial_indexM <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= prosocial_indexM_results, vtype="LS")

# fit a FE model
meta.prosocial_indexM.out <- rma(yi, vi, data = meta.prosocial_indexM, method = "FE", measure="COR", slab=authoryear)

# plot a forest plot
forest(meta.prosocial_indexM.out, ilab= meta.prosocial_indexM$country, ilab.xpos=-1.5, ilab.pos=4, xlim=c(-3,2),  xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="FE Model for All Studies")



### add column headings to the plot
text(-3, 8.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-1.5,8.5, "Country", pos=4, cex=0.75, font=2)
text(0.8, 8.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-3, 9.8, "Prosocial Index (Mean Effects)", pos=4, cex=0.85, font=2)


dev.off()

main_result_prosocial_indexM_fe <- rma(yi, vi, data = meta.prosocial_indexM, method = "FE", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_personal_std"))
