###################################

# F. Experimental games (all)

##################################


games_viol_exp_dummy <- results_viol_exp_dummy[grep("_egalitarian_std|_trust_game_return_std|_trust_game_return_std|_trust_game_send_std|_cooperate_std|dict_sent_std|_s_sent_std|_sharereturn_std|_social_prefereces_std|TG_A|TG_B|ultimaumA|ultimaumB|gamesingroup_trust_tot|dictator_std_", names(results_viol_exp_dummy))]

# Extract beta coefficients

coefs_games_viol_exp_dummy <- rep(NA, length(games_viol_exp_dummy))
for (i in 1:length(games_viol_exp_dummy)){
	coefs_games_viol_exp_dummy[i] <- games_viol_exp_dummy[[i]]$estimate[1]
}


# Exctract standard errors

se_games_viol_exp_dummy <- rep(NA, length(games_viol_exp_dummy))
for (i in 1:length(games_viol_exp_dummy)){
	se_games_viol_exp_dummy[i] <- games_viol_exp_dummy[[i]]$stderr[1]
}


# Extract number of observations

ns_games_viol_exp_dummy <- rep(NA, length(games_viol_exp_dummy))
for (i in 1:length(games_viol_exp_dummy)){
	ns_games_viol_exp_dummy[i] <- games_viol_exp_dummy[[i]]$es_1[1]
}

# Create data frames for results

games_results_viol_exp_dummy <- cbind(as.data.frame(coefs_games_viol_exp_dummy), se_games_viol_exp_dummy, ns_games_viol_exp_dummy)
games_results_viol_exp_dummy$treatment <- "viol_exp_dummy"
games_results_viol_exp_dummy$study <- names(games_viol_exp_dummy)
games_results_viol_exp_dummy$country <- c("Georgia", "Sierra Leone", "Uganda", "Tajikistan", "Tajikistan", "Sierra Leone", "Nepal", "Nepal", "Nepal", "Nepal", "Israel", "Israel", "Israel", "Israel", "Burundi")
games_results_viol_exp_dummy$authoryear <- c("Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Cassar et al. (2013)", "Cassar et al. (2013) ", "Cecchi et al. (2016)", "Gilligan et al. (2014)", "Gilligan et al. (2014) ", "Gilligan et al. (2014)  ", "Gilligan et al. (2014)   ", "Gneezy and Fessler (2012)", "Gneezy and Fessler (2012) ", "Gneezy and Fessler (2012)  ", "Gneezy and Fessler (2012)   ", "Voors et al. (2012)")
games_results_viol_exp_dummy$game <- c("Sharing, Envy", "Sharing, Envy", "Trust (returned)", "Trust (returned)", "Trust (sent)", "Dictator", "Public goods", "Dictator", "Trust (sent)", "Trust (returned)", "Trust (sent)", "Trust (returned)", "Ultimatum (sent)", "Ultimatum (rejected)",  "SVO")
colnames(games_results_viol_exp_dummy) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear", "game")

games_results <- games_results_viol_exp_dummy




# Forest plot

pdf("Results/Figures/Forest_plot_binary_measure/forest_plot_games_all_FE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.games <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= games_results, vtype="LS")

# fit a FE model
meta.games.out <- rma(yi, vi, data = meta.games, method = "FE", measure="COR", slab=authoryear)

# plot a forest plot


forest(meta.games.out, ilab= cbind(meta.games$country, meta.games$game), ilab.xpos= c(-2.5, -1.5), ilab.pos=c(4,4), xlim=c(-4,2), xlab="Standardized coefficient", cex=0.7,  mlab="FE Model for All Studies")


### add column headings to the plot
text(-4, 16.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-2.5, 16.5, "Country", pos=4, cex=0.75, font=2)
text(-1.5, 16.5, "Game", pos=4, cex=0.75, font=2)
text(0.6, 16.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-4, 17.5, "Prosocial behavior in Experimental Games", pos=4, cex=0.85, font=2)

dev.off()



main_result_games_all_fe <- rma(yi, vi, data = meta.games, method = "FE", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_dummy"))


