##########################

# I. Knowledge of politics

##########################


knowledgepolitics_viol_exp_std <- results_viol_exp_std[grep("knowledgepolitics_std", names(results_viol_exp_std))]

# Extract beta coefficients

coefs_knowledgepolitics_viol_exp_std <- rep(NA, length(knowledgepolitics_viol_exp_std))
for (i in 1:length(knowledgepolitics_viol_exp_std)){
	coefs_knowledgepolitics_viol_exp_std[i] <- knowledgepolitics_viol_exp_std[[i]]$estimate[1]
}


# Exctract standard errors

se_knowledgepolitics_viol_exp_std <- rep(NA, length(knowledgepolitics_viol_exp_std))
for (i in 1:length(knowledgepolitics_viol_exp_std)){
	se_knowledgepolitics_viol_exp_std[i] <- knowledgepolitics_viol_exp_std[[i]]$stderr[1]
}


# Extract number of observations

ns_knowledgepolitics_viol_exp_std <- rep(NA, length(knowledgepolitics_viol_exp_std))
for (i in 1:length(knowledgepolitics_viol_exp_std)){
	ns_knowledgepolitics_viol_exp_std[i] <- knowledgepolitics_viol_exp_std[[i]]$es_1[1]
}



# Create data frames for results

knowledgepolitics_results_viol_exp_std <- cbind(as.data.frame(coefs_knowledgepolitics_viol_exp_std), se_knowledgepolitics_viol_exp_std, ns_knowledgepolitics_viol_exp_std)
knowledgepolitics_results_viol_exp_std$treatment <- "viol_exp_std"
knowledgepolitics_results_viol_exp_std$study <- names(knowledgepolitics_viol_exp_std)
knowledgepolitics_results_viol_exp_std$country <- c("Uganda", "African countries", "Asian countries", "European countries", "Latin American countries", "U.S. and Canada", "Sierra Leone", "Sierra Leone", "Uganda", "Nepal", "European countries", "Israel")
knowledgepolitics_results_viol_exp_std$authoryear <- c("Annan et al. (2011)", "Bateson (2012)", "Bateson (2012) ", "Bateson (2012)  ", "Bateson (2012)     ", "Bateson (2012)      ",  "Bauer et al. (2014)", "Bellows and Miguel (2009)", "De Luca and Verpoorten (2015b)", "Gilligan et al. (2014)", "Grosjean (2014)", "Grossman et al. (2015)")
colnames(knowledgepolitics_results_viol_exp_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear")


knowledgepolitics_results <- knowledgepolitics_results_viol_exp_std[-c(2,3,4,5,6),]

# Forest plot

pdf("Results/Figures/Forest_plot_std_measure_no_crime/forest_plot_knowledgepolitics_FE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.knowledgepolitics <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= knowledgepolitics_results, vtype="LS")

# fit a FE model
meta.knowledgepolitics.out <- rma(yi, vi, data = meta.knowledgepolitics, method = "FE", measure="COR", slab=authoryear)

# plot a forest plot
forest(meta.knowledgepolitics.out, ilab= meta.knowledgepolitics$country, ilab.xpos=-1.5, ilab.pos=4, xlim=c(-3,2), xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="FE Model for All Studies")



### add column headings to the plot
text(-3, 8.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-1.5, 8.5, "Country", pos=4, cex=0.75, font=2)
text(0.9, 8.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-3, 9.5, "Knowledge/Interest in Politics", pos=4, cex=0.85, font=2)



dev.off()

main_result_knowledge_politics_fe <- rma(yi, vi, data = meta.knowledgepolitics, method = "FE", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_std"))


