###################################

# F. Experimental games (all)

##################################


games_viol_exp_personal_std <- results_viol_exp_personal_std[grep("_egalitarian_std|_trust_game_return_std|_trust_game_return_std|_trust_game_send_std|_cooperate_std|dict_sent_std|_s_sent_std|_sharereturn_std|_social_prefereces_std|TG_A|TG_B|ultimaumA|ultimaumB|gamesingroup_trust_tot|dictator_std_", names(results_viol_exp_personal_std))]

# Extract beta coefficients

coefs_games_viol_exp_personal_std <- rep(NA, length(games_viol_exp_personal_std))
for (i in 1:length(games_viol_exp_personal_std)){
	coefs_games_viol_exp_personal_std[i] <- games_viol_exp_personal_std[[i]]$estimate[1]
}


# Exctract standard errors

se_games_viol_exp_personal_std <- rep(NA, length(games_viol_exp_personal_std))
for (i in 1:length(games_viol_exp_personal_std)){
	se_games_viol_exp_personal_std[i] <- games_viol_exp_personal_std[[i]]$stderr[1]
}


# Extract number of observations

ns_games_viol_exp_personal_std <- rep(NA, length(games_viol_exp_personal_std))
for (i in 1:length(games_viol_exp_personal_std)){
	ns_games_viol_exp_personal_std[i] <- games_viol_exp_personal_std[[i]]$es_1[1]
}

# Create data frames for results

games_results_viol_exp_personal_std <- cbind(as.data.frame(coefs_games_viol_exp_personal_std), se_games_viol_exp_personal_std, ns_games_viol_exp_personal_std)
games_results_viol_exp_personal_std$treatment <- "viol_exp_personal_std"
games_results_viol_exp_personal_std$study <- names(games_viol_exp_personal_std)
games_results_viol_exp_personal_std$country <- c("Georgia", "Sierra Leone", "Uganda", "Tajikistan", "Tajikistan", "Sierra Leone")
games_results_viol_exp_personal_std$authoryear <- c("Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Cassar et al. (2013)", "Cassar et al. (2013) ", "Cecchi et al. (2016)")
games_results_viol_exp_personal_std$game <- c("Sharing, Envy", "Sharing, Envy", "Trust (returned)", "Trust (returned)", "Trust (sent)", "Dictator")
colnames(games_results_viol_exp_personal_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear", "game")

games_results <- games_results_viol_exp_personal_std




# Forest plot

pdf("Results/Figures/Forest_plot_std_personal_measure_no_crime/forest_plot_games_all_RE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.games <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= games_results, vtype="LS")

# fit a FE model
meta.games.out <- rma(yi, vi, data = meta.games, method = "REML", measure="COR", slab=authoryear)

# plot a forest plot


forest(meta.games.out, ilab= cbind(meta.games$country, meta.games$game), ilab.xpos= c(-2.5, -1.5), ilab.pos=c(4,4), xlim=c(-4,2), xlab="Standardized coefficient", cex=0.7,  mlab="RE Model for All Studies")


### add column headings to the plot
text(-4, 7.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-2.5, 7.5, "Country", pos=4, cex=0.75, font=2)
text(-1.5, 7.5, "Game", pos=4, cex=0.75, font=2)
text(0.6, 7.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-4, 8.5, "Prosocial behavior in Experimental Games", pos=4, cex=0.85, font=2)

dev.off()



main_result_games_all_re <- rma(yi, vi, data = meta.games, method = "REML", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_personal_std"))


