#################################

# A. Social groups participation

################################

groups_viol_exp_personal_std <- results_viol_exp_personal_std[grep("groupparticipation_std", names(results_viol_exp_personal_std))]

# Extract beta coefficients

coefs_groups_viol_exp_personal_std <- rep(NA, length(groups_viol_exp_personal_std))
for (i in 1:length(groups_viol_exp_personal_std)){
	coefs_groups_viol_exp_personal_std[i] <- groups_viol_exp_personal_std[[i]]$estimate[1]
}

# Exctract standard errors

se_groups_viol_exp_personal_std <- rep(NA, length(groups_viol_exp_personal_std))
for (i in 1:length(groups_viol_exp_personal_std)){
	se_groups_viol_exp_personal_std[i] <- groups_viol_exp_personal_std[[i]]$stderr[1]
}


# Extract number of observations

ns_groups_viol_exp_personal_std <- rep(NA, length(groups_viol_exp_personal_std))
for (i in 1:length(groups_viol_exp_personal_std)){
	ns_groups_viol_exp_personal_std[i] <- groups_viol_exp_personal_std[[i]]$es_1[1]
}


# Create data frames for results

groups_results_viol_exp_personal_std <- cbind(as.data.frame(coefs_groups_viol_exp_personal_std), se_groups_viol_exp_personal_std, ns_groups_viol_exp_personal_std)
groups_results_viol_exp_personal_std$treatment <- "viol_exp_personal_std"
groups_results_viol_exp_personal_std$study <- names(groups_viol_exp_personal_std)
groups_results_viol_exp_personal_std$country <- c("Uganda", "African countries", "Latin American countries", "U.S. and Canada", "Georgia", "Sierra Leone", "Uganda", "Uganda", "Tajikistan")
groups_results_viol_exp_personal_std$authoryear <- c("Annan et al. (2011)", "Bateson (2012)", "Bateson (2012) ", "Bateson (2012)  ",  "Bauer et al. (2014)", "Bauer et al. (2014) ", "Bauer et al. (2014)  ", "Blattman (2009)", "Cassar et al. (2013)")
colnames(groups_results_viol_exp_personal_std) <- c("coef", "se", "n", "treatment", "study", "country", "authoryear")


groups_results <- groups_results_viol_exp_personal_std[-c(2,3,4),]

# Forest plot

pdf("Results/Figures/Forest_plot_std_personal_measure_no_crime/forest_plot_groups_RE.pdf", width=6, height=5)

par(mar=c(4,4,1,2))

meta.groups <- escalc(measure="COR", ri=coef, sdi=se, ni= n, data= groups_results, vtype="LS")

# fit a FE model
meta.groups.out <- rma(yi, vi, data = meta.groups, method = "REML", measure="COR", slab=authoryear)

# plot a forest plot
forest(meta.groups.out, ilab= meta.groups$country, ilab.xpos=-1.5, ilab.pos=4, xlim=c(-3,2),  xlab="Standardized coefficient", cex=0.7, addfit=T, mlab="RE Model for All Studies")


### add column headings to the plot
text(-3, 7.5, "Author(s) and Year", pos=4, cex=0.75, font=2)
text(-1.5, 7.5, "Country", pos=4, cex=0.75, font=2)
text(0.9, 7.5, "Coefficient [95% CI]", pos=4, cex=0.75, font=2)
text(-3, 8.5, "Social Group Participation", pos=4, cex=0.85, font=2)


dev.off()

main_result_groups_re <- rma(yi, vi, data = meta.groups, method = "REML", measure="COR", slab=authoryear, subset=(treatment=="viol_exp_personal_std"))


